const puppeteer = require('puppeteer');

async function takeScreenshot(url) {
    const browser = await puppeteer.launch({headless: false});
    const page = await browser.newPage();

    // Use the URL from the command line argument
    await page.goto(url);

    const captchaSelector = '#captcha';

    if (await page.$(captchaSelector) !== null) {
        await page.evaluate(selector => {
            const element = document.querySelector(selector);
            element.scrollIntoView();
        }, captchaSelector);

        await page.screenshot({ path: 'screenshot.png' });
    } else {
        console.log('CAPTCHA element not found');
    }

    await browser.close();
}

// Get URL from command line arguments
const url = process.argv[2];

if (url) {
    takeScreenshot(url);
} else {
    console.log("Please provide a URL as a command line argument.");
}
